<?php include("layout/head.php"); ?>
<div id="wrapper">
<?php include("layout/sidebar.php"); ?>

<div id="content-wrapper" class="d-flex flex-column">
<div id="content">
<?php include("layout/topbar.php"); ?> 

<!-- Container Fluid-->
<div class="container-fluid" id="container-wrapper">
  <div class="d-sm-flex align-items-center justify-content-between mb-4">
    <h1 class="h3 mb-0 text-gray-800">Barcode Transaction </h1>
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a href="./">Home</a></li>
      <li class="breadcrumb-item active" aria-current="page">Pack Barcode Transaction</li>
    </ol>
  </div>

<div class="row">
<!-- DataTable with Hover -->
<div class="col-xl-12">
  <div class="card mb-4">
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
      <h6 class="m-0 font-weight-bold text-primary">Last Transaction by User</h6>
    </div>
    <div class="table-responsive p-3">
      <table class="table align-items-center table-flush table-hover" id="dataTableHover">
        <thead class="thead-light">
          <tr>
            <th>#</th>
            <th>Process ID</th>
            <!--<th>Eastek Barcode</th>-->
            <th>Ting Sensor Barcode</th>
            <th>Transaction Date</th>
            <th>Action</th>
          </tr>
        </thead>
        <tfoot>
          <tr>
            <th>#</th>
            <th>Process ID</th>
            <!--<th>Eastek Barcode</th>-->
            <th>Ting Sensor Barcode</th>
            <th>Transaction Date</th>
            <th>Action</th>
          </tr>
        </tfoot>
        <tbody>
        <?php 
          include('../dbcon.php');

            $sql = "SELECT * FROM pack_transaction ORDER BY date DESC";
            $sqlquery = mysqli_query($con,$sql);
            $sqlrow = mysqli_num_rows($sqlquery);

            if($sqlrow != 0) {
            $a = 1;
          ?>
         
        <?php while ($row = mysqli_fetch_assoc($sqlquery)) { ?>
          <tr>
            <td><?php echo $a++; ?></td>
            <td><?php echo $row["process_name"]; ?></td>
            <!--<td><?php echo $row["eastek_barcode"]; ?></td>-->
            <td><?php echo $row["ting_barcode"]; ?></td>
            <td><?php echo $row["date"]; ?></td>
            <td>
                <a class="btn btn-primary" href="papar-anggota-km.php?id=<?php echo $row['id'];?>">Update</a>
                <a class="btn btn-danger" href="delete-anggota.php?id=<?php echo $row['id'];?>">Delete</a>
            </td>
          </tr>
        
      <?php }} ?>
      </tbody>
      </table>
    </div>
  </div>
</div>
</div><br><br><br><br>
<!--Table Row/-->

<?php include("layout/modal-logout.php"); ?>

<!---Container Fluid-->
</div>
<?php include("layout/footer.php"); ?>
</div>
</div>

<!--<script>
date = new Date();
year = date.getFullYear();
month = date.getMonth() + 1;
day = date.getDate();
time = date.getHours() + ":" + date.getMinutes() + ":" + date.getSeconds();
document.getElementById("timestamp").innerHTML = day + "/" + month + "/" + year + "/" time;
</script>-->

<script>
dt = new Date();
document.getElementById("datetime").innerHTML = dt.toLocaleString();
</script>

<script type="text/javascript">
  $('#eastek_barcode').on('keypress',function(event){
  //Tecla 13 = Enter
  if(event.which == 13) {
    //cancel auto submit scan
    event.preventDefault();
  }
});

  $('#ting_barcode').on('keypress',function(event){
  //Tecla 13 = Enter
  if(event.which == 13) {
    //cancel auto submit scan
    event.preventDefault();
  }
});
</script>

<?php include("layout/script.php"); ?>
