<?php 
error_reporting(0);
session_start(); 

$errors = array(); 
$_SESSION['success'] = ""; 

include ('dbcon.php');

if (isset($_POST['login'])) { 
    
    // Data sanitization to prevent SQL injection 
    $username = mysqli_escape_string($con,$_POST['username']); 
    $password = mysqli_escape_string($con,$_POST['password']); 

    // Error message if the input field is left blank 
    if (empty($username)) { 
        array_push($errors, "Username is required"); 
    } 
    if (empty($password)) { 
        array_push($errors, "Password is required"); 
    } 

    // Checking for the errors 
    if (count($errors) == 0) { 
        
        // Password matching 
        $password = md5($password); 
        
        $query = "SELECT * FROM user WHERE username= 
                '$username' AND password='$password'"; 
        $results = mysqli_query($con, $query); 

        // $results = 1 means that one user with the 
        // entered username exists 
        if (mysqli_num_rows($results) == 1) {
            $error = 0;
            $resultlogin = mysqli_fetch_assoc($results);
            if (!session_start()) { session_start(); }
            $_SESSION ['user_id'] = $resultlogin['user_id'];
            $_SESSION ['username'] = $resultlogin['username'];
            $_SESSION ['staff_id'] = $resultlogin['staff_id'];
            $_SESSION ['user_level'] = $resultlogin['user_level'];
            //$_SESSION ['branch_id'] = 11;

            if ($_SESSION['user_level'] == 1)
                header("location: administrator/pack_transaction.php");
            } if ($_SESSION['user_level'] == 2) {
                header("location: management/pack_transaction.php");
            
            exit();
        } else {
            //$error = 1;
            echo "<script type='text/javascript'>alert('Wrong Username Or Password!')</script>";
        }
    } 
}  
?>

<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <link href="img/logo/logo-eastek.png" rel="icon">
  <title>Barcode Transaction|TING SENSOR</title>
  <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <link href="vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css">
  <link href="css/ruang-admin.min.css" rel="stylesheet">

</head>

<body class="bg-gradient-login">
  <!-- Login Content -->
<div class="container-login">
<div class="row justify-content-center">
<div class="col-xl-6 col-lg-12 col-md-9">
<div class="card shadow-sm my-5">
<div class="card-body p-0">
  <div class="row">
    <div class="col-lg-12">
      <div class="login-form">
        <div class="text-center">
          <img src="img/logo/login-logo.png" width="">
          <!--<h1 class="h4 text-gray-900 mb-4">Login Page</h1>-->
        </div><br><br><br>
        <form action="" method="post">
          <div class="form-group">
            <input type="text" class="form-control" id="username" aria-describedby="emailHelp" name="username" placeholder="Enter Username">
          </div>
          <div class="form-group">
            <input type="password" class="form-control" id="password" name="password" placeholder="Password">
          </div>
          <div class="form-group">
          </div>
          <div class="form-group">
            <button type="submit" class="btn btn-primary btn-block" name="login" id="login">Login</button>
          </div>
        </form>
        <div class="text-center">
        </div>
      </div>
    </div>
  </div>
</div>
</div>
</div>
</div>
</div>
<!-- Login Content -->
<script src="vendor/jquery/jquery.min.js"></script>
<script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="vendor/jquery-easing/jquery.easing.min.js"></script>
<script src="js/ruang-admin.min.js"></script>
</body>

</html>