<?php include("layout/head.php"); ?>
<div id="wrapper">
<?php include("layout/sidebar.php"); ?>

<div id="content-wrapper" class="d-flex flex-column">
<div id="content">
<?php include("layout/topbar.php"); ?> 

<!-- Container Fluid-->
<div class="container-fluid" id="container-wrapper">
  <div class="d-sm-flex align-items-center justify-content-between mb-4">
    <h1 class="h3 mb-0 text-gray-800">Barcode Transaction </h1>
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a href="./">Home</a></li>
      <li class="breadcrumb-item active" aria-current="page">Barcode Transaction</li>
    </ol>
  </div>

<!-- /Form -->
<div class="card mb-4">
  <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
    <h6 class="m-0 font-weight-bold text-primary">Barcode Transaction Entry</h6>
  </div>
  <div class="card-body">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <form method="post" action="transaction_add.php">
      <div class="form-group row">
        <label for="inputEmail3" class="col-sm-3 col-form-label">Process ID</label>
        <div class="col-sm-9">
          <select class="select2-single form-control" name="process_name" id="select2Single" required>
            <option value="Pack">Pack</option>
            <option value="Test">Test</option>
          </select>
        </div>
      </div>

      <div class="form-group row">
        <label for="inputPassword3" class="col-sm-3 col-form-label">Eastek Barcode</label>
        <div class="col-sm-9">
          <input type="text" class="form-control" name="eastek_barcode" id="eastek_barcode" placeholder="..." autofocus>
          <small style="font-style:italic;">(Process ID: Post & Test)</small>
        </div>
      </div>
      <div class="form-group row">
        <label for="inputPassword3" class="col-sm-3 col-form-label">Ting Sensor Barcode</label>
        <div class="col-sm-9">
          <input type="text" class="form-control" name="ting_barcode" id="ting_barcode" placeholder="..." autofocus>
          <small style="font-style:italic;">(Process ID: Test)</small>
        </div>
      </div>
      <div class="form-group row">
        <label for="inputPassword3" class="col-sm-3 col-form-label">Status</label>
        <div class="col-sm-9">
          <input type="text" name="status" class="col-sm-3 col-form-label" value="Pass" disabled>
        </div>
      </div>
      <div class="form-group row">
        <label for="inputPassword3" class="col-sm-3 col-form-label">Transaction Date</label>
        <div class="col-sm-9">
          <label id="datetime" name="date" style="font-weight:bold;">
        </div>
      </div>

      <div class="form-group row">
        <div class="col-sm-10">
          <button type="submit" name="save" class="btn btn-primary">Save</button>
        </div>
      </div>
    </form>
  </div>
</div>
<!-- Form/ -->
<!--Row-->

<!-- /Table Row -->
<div class="row">
<!-- DataTable with Hover -->
<div class="col-lg-12">
  <div class="card mb-4">
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
      <h6 class="m-0 font-weight-bold text-primary">Last Transaction by User</h6>
    </div>
    <div class="table-responsive p-3">
      <table class="table align-items-center table-flush table-hover" id="dataTableHover">
        <thead class="thead-light">
          <tr>
            <th>#</th>
            <th>Process ID</th>
            <th>Eastek Barcode</th>
            <th>Ting Sensor Barcode</th>
            <th>Transaction Date</th>
            <!--<th>Action</th>-->
          </tr>
        </thead>
        <tfoot>
          <tr>
            <th>#</th>
            <th>Process ID</th>
            <th>Eastek Barcode</th>
            <th>Ting Sensor Barcode</th>
            <th>Transaction Date</th>
            <!--<th>Action</th>-->
          </tr>
        </tfoot>
        <?php 
          include('dbcon.php');

            $sql = "SELECT * FROM transaction";
            $sqlquery = mysqli_query($con,$sql);
            $sqlrow = mysqli_num_rows($sqlquery);

            if($sqlrow != 0) {
            $a = 1;
          ?>
        <?php while ($row = mysqli_fetch_assoc($sqlquery)) { ?>
        <tbody>
          <tr>
            <td><?php echo $a++; ?></td>
            <td><?php echo $row["process_name"]; ?></td>
            <td><?php echo $row["eastek_barcode"]; ?></td>
            <td><?php echo $row["ting_barcode"]; ?></td>
            <td><?php echo $row["date"]; ?></td>
            <td>
                <!--<a class="btn btn-primary" href="papar-anggota-km.php?id=<?php echo $row['id'];?>">Update</a>-->
                <!--<a class="btn btn-danger" href="delete-anggota.php?id=<?php echo $row['id'];?>">Delete</a>-->
            </td>
          </tr>
        </tbody>
      <?php }} ?>
      </table>
    </div>
  </div>
</div>
</div>
<!--Table Row/-->

<?php include("layout/modal-logout.php"); ?>
</div>
<!---Container Fluid-->
</div>
<?php include("layout/footer.php"); ?>
</div>
</div>

<!--<script>
date = new Date();
year = date.getFullYear();
month = date.getMonth() + 1;
day = date.getDate();
time = date.getHours() + ":" + date.getMinutes() + ":" + date.getSeconds();
document.getElementById("timestamp").innerHTML = day + "/" + month + "/" + year + "/" time;
</script>-->

<script>
dt = new Date();
document.getElementById("datetime").innerHTML = dt.toLocaleString();
</script>

<script type="text/javascript">
  $('#eastek_barcode').on('keypress',function(event){
  //Tecla 13 = Enter
  if(event.which == 13) {
    //cancel auto submit scan
    event.preventDefault();
  }
});

  $('#ting_barcode').on('keypress',function(event){
  //Tecla 13 = Enter
  if(event.which == 13) {
    //cancel auto submit scan
    event.preventDefault();
  }
});
</script>

<?php include("layout/script.php"); ?>
